package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;

/**
*@ Description: 月定时任务接口定义
*@ Author     : 86187
*@ Date       : 2021/3/10 10:22
 * @author 86187
 */
public interface MonthTaskService {


    /**
     * 收益和业绩统计（月度肥料）-月任务
     * @return true or false
     */
    R<Boolean> performanceCount();

    /**
     * 进步奖收益统计（最大进步奖） -月任务
     *
     * @return true or false
     */
    R<Boolean> progressPrizeCount();

    /**
     * 账户表镜像---每月更新一次，保存上一个的数据
     */
    void  mirrorImage();
}
